package com.ssj.bean.sys.xb.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name="kmt_course_xb_feedback")
public class XbFeedback extends BaseEntity{
	private static final long serialVersionUID = 1L;
	
	private String kmtCourseId; //课程id
	private String courseName;//科目mingc
	private Date feedbackTime; //反馈时间
	private String explainContent; //重点讲解内容
    private String totalityInfo; //主要内容
    private String classInfoJson; //课堂表现json数据
    private String teacherSay;//老师评语
    private String parentsLabel;//家长协助标签,隔开
    private String otherHelp;//其它需要协助项
    private String nextPlan;//下节课内容安排
    private Integer feedbackIndex; //当前是第几节课
    private Integer totalCourse; //总共有几节课
    private Integer num; //排序
    private String errorKnow;//错误的知识点 需要增加数据库字段
	public String getKmtCourseId() {
		return kmtCourseId;
	}
	public void setKmtCourseId(String kmtCourseId) {
		this.kmtCourseId = kmtCourseId;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public Date getFeedbackTime() {
		return feedbackTime;
	}
	public void setFeedbackTime(Date feedbackTime) {
		this.feedbackTime = feedbackTime;
	}
	public String getExplainContent() {
		return explainContent;
	}
	public void setExplainContent(String explainContent) {
		this.explainContent = explainContent;
	}
	public String getTotalityInfo() {
		return totalityInfo;
	}
	public void setTotalityInfo(String totalityInfo) {
		this.totalityInfo = totalityInfo;
	}
	public String getClassInfoJson() {
		return classInfoJson;
	}
	public void setClassInfoJson(String classInfoJson) {
		this.classInfoJson = classInfoJson;
	}
	public String getTeacherSay() {
		return teacherSay;
	}
	public void setTeacherSay(String teacherSay) {
		this.teacherSay = teacherSay;
	}
	public String getParentsLabel() {
		return parentsLabel;
	}
	public void setParentsLabel(String parentsLabel) {
		this.parentsLabel = parentsLabel;
	}
	public String getOtherHelp() {
		return otherHelp;
	}
	public void setOtherHelp(String otherHelp) {
		this.otherHelp = otherHelp;
	}
	public String getNextPlan() {
		return nextPlan;
	}
	public void setNextPlan(String nextPlan) {
		this.nextPlan = nextPlan;
	}
	public Integer getFeedbackIndex() {
		return feedbackIndex;
	}
	public void setFeedbackIndex(Integer feedbackIndex) {
		this.feedbackIndex = feedbackIndex;
	}
	public Integer getTotalCourse() {
		return totalCourse;
	}
	public void setTotalCourse(Integer totalCourse) {
		this.totalCourse = totalCourse;
	}
	public Integer getNum() {
		return num;
	}
	public void setNum(Integer num) {
		this.num = num;
	}
	public String getErrorKnow() {
		return errorKnow;
	}
	public void setErrorKnow(String errorKnow) {
		this.errorKnow = errorKnow;
	}
	
	
	
}